version: '3'
services:
  kafka:
    image: registry.gitlab.com/rychly-edu/docker/docker-kafka
    environment:
#      - ROLE=kafka
      - LOG_DIRS=/home/kafka/log
      - ZOO_CONNECT=zookeeper:2181
      - LISTENERS=PLAINTEXT://:9092
#    ports:
#      - "9092"
    volumes:
      - ./volumes/log:/home/kafka/log
  zookeeper:
    image: registry.gitlab.com/rychly-edu/docker/docker-kafka
    environment:
      - ROLE=zookeeper
      - ZOO_DATA_DIR=/home/kafka/zk-data
      - ZOO_DATA_LOG_DIR=/home/kafka/zk-data-log
      - ZOO_PORT=2181
#      - ZOO_MY_ID=1
#      - ZOO_SERVERS=server.1=localhost:2888:3888;2181
#    ports:
#      - "2181:2181"
    volumes:
      - ./volumes/zk-data:/home/kafka/zk-data
      - ./volumes/zk-data-log:/home/kafka/zk-data-log
